Class AsnsImpl
java.lang.Object
com.eqixiac.equinix.fabric.beta.client.implementation.AsnsImpl
- All Implemented Interfaces:
Asns
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptioncreate(CreateAsnRequest request) Create ASN:POST /fabric/v4/asns(operationcreateAsn).Delete ASN:DELETE /fabric/v4/asns/{asnId}(operationdeleteAsnById).Get ASN:GET /fabric/v4/asns/{asnId}(operationgetAsnById).search()Search ASNs:POST /fabric/v4/asns/search(operationsearchAsns).search(FilterPropertyList filter) Search ASNs:POST /fabric/v4/asns/search(operationsearchAsns).search(FilterPropertyList filter, SortPropertyList sort) Search ASNs:POST /fabric/v4/asns/search(operationsearchAsns).update(String asnId, List<PatchOperation> operations) Update ASN:PATCH /fabric/v4/asns/{asnId}(operationpatchAsnById).
-
Constructor Details
-
AsnsImpl
Creates the client.- Parameters:
clients- the shared internal client factory
-
-
Method Details
-
create
Description copied from interface:AsnsCreate ASN:POST /fabric/v4/asns(operationcreateAsn).Create a new Public or Private ASN record
-
search
Description copied from interface:AsnsSearch ASNs:POST /fabric/v4/asns/search(operationsearchAsns).Search for ASN records based on criteria
-
search
Description copied from interface:AsnsSearch ASNs:POST /fabric/v4/asns/search(operationsearchAsns).Search for ASN records based on criteria
-
search
Description copied from interface:AsnsSearch ASNs:POST /fabric/v4/asns/search(operationsearchAsns).Search for ASN records based on criteria
-
getByUuid
-
update
Description copied from interface:AsnsUpdate ASN:PATCH /fabric/v4/asns/{asnId}(operationpatchAsnById).Update ASN record
Sent as
application/json, per the spec. Patchable paths named by the spec:/ownershipChallengeDetails/signature. -
delete
-